import { commonsTypeHasPropertyDate, commonsTypeHasPropertyStringOrUndefined } from 'tscommons-es-core';
import { isICommonsUniquelyIdentifiedBase62 } from 'tscommons-es-models';
export function isIUomLibraryPollsResponse(test) {
    if (!isICommonsUniquelyIdentifiedBase62(test))
        return false;
    if (!commonsTypeHasPropertyDate(test, 'timestamp'))
        return false;
    if (!commonsTypeHasPropertyStringOrUndefined(test, 'other'))
        return false;
    return true;
}
//# sourceMappingURL=iuom-library-polls-response.js.map