import { TTOrTArray } from 'tscommons-es-core';
import { TCommonsHttpRequestOptions } from 'tscommons-es-http';
import { CommonsRestClientService } from 'tscommons-es-rest';
import { IUomLibraryPollsPoll } from '../interfaces/iuom-library-polls-poll';
import { IUomLibraryPollsOption } from '../interfaces/iuom-library-polls-option';
export declare class UomLibraryPollsRestClientService extends CommonsRestClientService {
    listByNamespace(namespace: string, options?: TCommonsHttpRequestOptions): Promise<IUomLibraryPollsPoll[]>;
    listOptionsByPoll(poll: IUomLibraryPollsPoll, options?: TCommonsHttpRequestOptions): Promise<IUomLibraryPollsOption[]>;
    getResults(poll: IUomLibraryPollsPoll, options?: TCommonsHttpRequestOptions): Promise<{
        [uid: string]: number;
    }>;
    vote(poll: IUomLibraryPollsPoll, votes: TTOrTArray<IUomLibraryPollsOption>, options?: TCommonsHttpRequestOptions): Promise<string>;
}
