import { IUomLibraryPollsResponse } from '../interfaces/iuom-library-polls-response';
export declare type TUomLibraryPollsResponse = Omit<IUomLibraryPollsResponse, 'timestamp' | 'other'> & {
    timestamp: string;
};
export declare type TUomLibraryPollsResponseWithOther = TUomLibraryPollsResponse & {
    other: string;
};
export declare function isTUomLibraryPollsResponse(test: unknown): test is TUomLibraryPollsResponse;
export declare function encodeIUomLibraryPollsResponse(response: IUomLibraryPollsResponse): TUomLibraryPollsResponse;
export declare function decodeIUomLibraryPollsResponse(encoded: TUomLibraryPollsResponse): IUomLibraryPollsResponse;
