import { commonsTypeHasPropertyBoolean, commonsTypeHasPropertyString } from 'tscommons-es-core';
import { isICommonsUniquelyIdentifiedBase62 } from 'tscommons-es-models';
export function isIUomLibraryPollsPoll(test) {
    if (!isICommonsUniquelyIdentifiedBase62(test))
        return false;
    if (!commonsTypeHasPropertyString(test, 'ns'))
        return false;
    if (!commonsTypeHasPropertyString(test, 'title'))
        return false;
    if (!commonsTypeHasPropertyBoolean(test, 'multi'))
        return false;
    if (!commonsTypeHasPropertyBoolean(test, 'other'))
        return false;
    return true;
}
//# sourceMappingURL=iuom-library-polls-poll.js.map