import { commonsBase62HasPropertyId, commonsTypeHasPropertyString } from 'tscommons-es-core';
export function isTUomLibraryPollsOption(test) {
    if (!commonsBase62HasPropertyId(test, 'uid'))
        return false;
    if (!commonsTypeHasPropertyString(test, 'option'))
        return false;
    return true;
}
export function encodeIUomLibraryPollsOption(option) {
    return {
        uid: option.uid,
        option: option.option
    };
}
export function decodeIUomLibraryPollsOption(encoded) {
    return {
        // tslint:disable:object-literal-sort-keys
        uid: encoded.uid,
        option: encoded.option
        // tslint:enable:object-literal-sort-keys
    };
}
//# sourceMappingURL=tuom-library-polls-option.js.map