import { commonsBase62HasPropertyId, commonsTypeHasPropertyBoolean, commonsTypeHasPropertyString } from 'tscommons-es-core';
export function isTUomLibraryPollsPoll(test) {
    if (!commonsBase62HasPropertyId(test, 'uid'))
        return false;
    if (!commonsTypeHasPropertyString(test, 'ns'))
        return false;
    if (!commonsTypeHasPropertyString(test, 'title'))
        return false;
    if (!commonsTypeHasPropertyBoolean(test, 'multi'))
        return false;
    if (!commonsTypeHasPropertyBoolean(test, 'other'))
        return false;
    return true;
}
export function encodeIUomLibraryPollsPoll(poll) {
    return {
        uid: poll.uid,
        ns: poll.ns,
        title: poll.title,
        multi: poll.multi,
        other: poll.other
    };
}
export function decodeIUomLibraryPollsPoll(encoded) {
    return {
        // tslint:disable:object-literal-sort-keys
        uid: encoded.uid,
        ns: encoded.ns,
        title: encoded.title,
        multi: encoded.multi,
        other: encoded.other
        // tslint:enable:object-literal-sort-keys
    };
}
//# sourceMappingURL=tuom-library-polls-poll.js.map